Subject: Re: [PATCH] iio: adc: at91-adc: Use devm_platform_ioremap_resource

From: Jonathan Cameron <[email-masked]>
Date: Sun, 12 Apr 2020 11:23:30 +0100

On Fri, 10 Apr 2020 19:37:25 +0300
Andy Shevchenko <[email-masked]> wrote:

> On Fri, Apr 10, 2020 at 2:22 PM Alexandre Belloni
> <[email-masked]> wrote:
> > On 10/04/2020 13:55:26+0300, Andy Shevchenko wrote:  
> > > On Thu, Apr 9, 2020 at 7:00 PM Alexandre Belloni
> > > <[email-masked]> wrote:  
> > > > On 09/04/2020 20:41:23+0530, Aishwarya R wrote:  
> > > > > Use the helper function that wraps the calls to
> > > > > platform_get_resource() and devm_ioremap_resource()
> > > > > together.  
> > >  
> > > > Please elaborate the actual value of doing that.  
> > >
> > > Please, elaborate actual value of not doing that.
> > >
> > > Yes, I know that you are p* off of these changes, but why you not
> > > going further and forbid all clean ups we are doing in the code?
> > >
> > > To the point. Above change is reducing code base and showing the new
> > > comers modern APIs to use.  
> 
> > The value of doing it is to reduce the code size by 16 bytes. The same
> > people doing that will actively ruin that by adding error string for
> > error that will never ever happen.  
> 
> I don't see it in the patch we are discussing, so, not an argument.
> 
> > Also, the commit message is definitively lacking. A good commit message
> > would say that the patch has been generated using coccinelle, that no
> > testing has been done and that no thought has been given.  
> 
> That's I agree with.
> But somebody need to teach people how to do it better.
> 
> > It would definitively make sense to send one patch per subsystem instead
> > of having 475 different patches each changing only one location.  
> 
> Depends on the maintainer and subsystem. This is arguable argument.
> In my subsystems (let's forget about PDx86, where one per subsystem in
> principle is not working by nature of the subsystem, but consider
> others I'm maintaining) I prefer to have a possibility to track
> changes independently on driver basis.

Likewise.  I often request patches are broken out.

> 
> > The whole "let's let newcomers fix trivial bugs" thing is definitively
> > not working and it is not leading to an increase of the number of useful
> > reviewers and contributors  
> 
> Semi-agree. That people can be self-organized into a reviewer gang and
> try to learn together.
> In any case, as for maintainers, the task has not only technical
> aspects, but mentoring as well.
> 

It would be interesting to see if we do have examples of people who have started
with cleanup patches and moved on to more interesting things.  Some of the
outreach programs that start with simple patches as a means of getting
familiar with the tools have led to more significant improvements but
those are somewhat of a special case.

I'd rather have hundreds of people send me these sorts of patches a year
than loose one potential long term contributor.

Jonathan

p.s. Aishwarya - You've been a bit unlucky in a sense here running into
the latest instance of a very long term debate!

_______________________________________________
linux-arm-kernel mailing list
[email-masked]
http://lists.infradead.org/mailman/listinfo/linux-arm-kernel